repository intelligence
Create repository intelligence traverse
Requires scopes: eval:read
POST
/
api
/
repository-intelligence
/
repositories
/
{repositoryId}
/
graph
/
traverse
Create repository intelligence traverse
curl --request POST \
--url https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/traverse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"direction": "outbound",
"purpose": "impact",
"maxDepth": 123,
"startNodeIds": [
"<string>"
],
"relations": [
"contains"
],
"maxNodes": 123,
"maxEdges": 123,
"headSha": "<string>",
"graphVersionId": "<string>",
"stopNodeTypes": [
"policy"
]
}
'import requests
url = "https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/traverse"
payload = {
"direction": "outbound",
"purpose": "impact",
"maxDepth": 123,
"startNodeIds": ["<string>"],
"relations": ["contains"],
"maxNodes": 123,
"maxEdges": 123,
"headSha": "<string>",
"graphVersionId": "<string>",
"stopNodeTypes": ["policy"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
direction: 'outbound',
purpose: 'impact',
maxDepth: 123,
startNodeIds: ['<string>'],
relations: ['contains'],
maxNodes: 123,
maxEdges: 123,
headSha: '<string>',
graphVersionId: '<string>',
stopNodeTypes: ['policy']
})
};
fetch('https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/traverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queryHash": "<string>",
"completeness": "complete",
"nodeIds": [
"<string>"
],
"edgeIds": [
"<string>"
],
"paths": [
{
"reasonCodes": [
"<string>"
],
"nodeIds": [
"<string>"
],
"edgeIds": [
"<string>"
]
}
],
"truncationReasonCodes": [
"<string>"
],
"graphVersionId": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
outbound purpose
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
required
Available options:
impact Available options:
contains Available options:
policy Response
Successful response
Available options:
complete Show child attributes
Show child attributes
⌘I
Create repository intelligence traverse
